//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 09:07:12 PM CET 
//


package org.tdwg.abcd2;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.NormalizedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * Name of an individual person
 * 
 * <p>Java class for PersonName complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PersonName"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="FullName" type="{http://www.tdwg.org/schemas/abcd/3.0}String255"/&gt;
 *         &lt;element name="SortingName" type="{http://www.tdwg.org/schemas/abcd/3.0}String255" minOccurs="0"/&gt;
 *         &lt;element name="AtomizedName" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="InheritedName" type="{http://www.tdwg.org/schemas/abcd/3.0}String255"/&gt;
 *                   &lt;element name="Prefix" type="{http://www.tdwg.org/schemas/abcd/3.0}String255" minOccurs="0"/&gt;
 *                   &lt;element name="Suffix" type="{http://www.tdwg.org/schemas/abcd/3.0}String255" minOccurs="0"/&gt;
 *                   &lt;element name="GivenNames" type="{http://www.tdwg.org/schemas/abcd/3.0}String255" minOccurs="0"/&gt;
 *                   &lt;element name="PreferredName" type="{http://www.tdwg.org/schemas/abcd/3.0}String255" minOccurs="0"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PersonName", propOrder = {
    "fullName",
    "sortingName",
    "atomizedName"
})
public class PersonName {

    @XmlElement(name = "FullName", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String fullName;
    @XmlElement(name = "SortingName")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String sortingName;
    @XmlElement(name = "AtomizedName")
    protected PersonName.AtomizedName atomizedName;

    /**
     * Gets the value of the fullName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFullName() {
        return fullName;
    }

    /**
     * Sets the value of the fullName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFullName(String value) {
        this.fullName = value;
    }

    /**
     * Gets the value of the sortingName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSortingName() {
        return sortingName;
    }

    /**
     * Sets the value of the sortingName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSortingName(String value) {
        this.sortingName = value;
    }

    /**
     * Gets the value of the atomizedName property.
     * 
     * @return
     *     possible object is
     *     {@link PersonName.AtomizedName }
     *     
     */
    public PersonName.AtomizedName getAtomizedName() {
        return atomizedName;
    }

    /**
     * Sets the value of the atomizedName property.
     * 
     * @param value
     *     allowed object is
     *     {@link PersonName.AtomizedName }
     *     
     */
    public void setAtomizedName(PersonName.AtomizedName value) {
        this.atomizedName = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="InheritedName" type="{http://www.tdwg.org/schemas/abcd/3.0}String255"/&gt;
     *         &lt;element name="Prefix" type="{http://www.tdwg.org/schemas/abcd/3.0}String255" minOccurs="0"/&gt;
     *         &lt;element name="Suffix" type="{http://www.tdwg.org/schemas/abcd/3.0}String255" minOccurs="0"/&gt;
     *         &lt;element name="GivenNames" type="{http://www.tdwg.org/schemas/abcd/3.0}String255" minOccurs="0"/&gt;
     *         &lt;element name="PreferredName" type="{http://www.tdwg.org/schemas/abcd/3.0}String255" minOccurs="0"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "inheritedName",
        "prefix",
        "suffix",
        "givenNames",
        "preferredName"
    })
    public static class AtomizedName {

        @XmlElement(name = "InheritedName", required = true)
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        @XmlSchemaType(name = "normalizedString")
        protected String inheritedName;
        @XmlElement(name = "Prefix")
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        @XmlSchemaType(name = "normalizedString")
        protected String prefix;
        @XmlElement(name = "Suffix")
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        @XmlSchemaType(name = "normalizedString")
        protected String suffix;
        @XmlElement(name = "GivenNames")
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        @XmlSchemaType(name = "normalizedString")
        protected String givenNames;
        @XmlElement(name = "PreferredName")
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        @XmlSchemaType(name = "normalizedString")
        protected String preferredName;

        /**
         * Gets the value of the inheritedName property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getInheritedName() {
            return inheritedName;
        }

        /**
         * Sets the value of the inheritedName property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setInheritedName(String value) {
            this.inheritedName = value;
        }

        /**
         * Gets the value of the prefix property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getPrefix() {
            return prefix;
        }

        /**
         * Sets the value of the prefix property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setPrefix(String value) {
            this.prefix = value;
        }

        /**
         * Gets the value of the suffix property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getSuffix() {
            return suffix;
        }

        /**
         * Sets the value of the suffix property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setSuffix(String value) {
            this.suffix = value;
        }

        /**
         * Gets the value of the givenNames property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getGivenNames() {
            return givenNames;
        }

        /**
         * Sets the value of the givenNames property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setGivenNames(String value) {
            this.givenNames = value;
        }

        /**
         * Gets the value of the preferredName property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getPreferredName() {
            return preferredName;
        }

        /**
         * Sets the value of the preferredName property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setPreferredName(String value) {
            this.preferredName = value;
        }

    }

}
